> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check brand readiness

> Aggregate readiness report from live-probing every connector — the go-live gate.

### Path parameters

<ParamField path="brand_id" type="string (uuid)" required />

### Response

`object`

<ResponseField name="ready" type="boolean" required>
  True only when every connector is healthy and there is at least one
</ResponseField>

<ResponseField name="healthy" type="integer" required />

<ResponseField name="total" type="integer" required />

<ResponseField name="connectors" type="object[]" required>
  <Expandable title="connectors">
    <ResponseField name="connector_id" type="string (uuid)" required />

    <ResponseField name="connector_key" type="string" required />

    <ResponseField name="connector_type" type="string" required />

    <ResponseField name="healthy" type="boolean" required />

    <ResponseField name="latency_ms" type="integer" required />

    <ResponseField name="error" type="string" />

    <ResponseField name="checked_at" type="string (date-time)" required />
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning                                                                          |
| ----- | -------------------------------------------------------------------------------- |
| `200` | Aggregate readiness report from live-probing every connector — the go-live gate. |
| `400` | Validation error                                                                 |
| `401` | Unauthorized                                                                     |
| `404` | Not found                                                                        |
| `429` | Rate limited                                                                     |
| `500` | Internal error                                                                   |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/connectors/readiness' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "ready": true,
    "healthy": 1,
    "total": 102,
    "connectors": [
      {
        "connector_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "connector_key": "string",
        "connector_type": "string",
        "healthy": true,
        "latency_ms": 250,
        "error": "string",
        "checked_at": "2026-08-31T14:22:05Z"
      }
    ]
  }
  ```
</ResponseExample>
